Subject: bug#19100: 25.0.50; (NextStep) Crash in EmacsImage dealloc

From: "Jan D." <[email-masked]>
Date: Tue, 2 Dec 2014 17:05:56 +0100

forcemerge 19133 19100
stop

Merged with 19133, which has been marked done.

	Jan D.

> 19 nov 2014 kl. 01:36 skrev Ivan Andrus <[email-masked]>:
> 
> I had a few days of uptime and two frames open, both full screen.  I
> made one not full screen by clicking on the little button in the upper
> right of the (system) menu.  I then tried to resize the frame.  I'm not
> sure if it had crashed before or after I tried resizing it, but the
> backtrace is below.
> 
> I still have an lldb session attached if it's helpful.
> 
> It was built with a few (very minor) modifications (why the hash doesn’t 
> match one from trunk) on top of:
> 
> commit a6a43d654a5f2a139c69f75f6d46383bf58b3a77
> Author: Andreas Schwab <[email-masked]>
> Date:   Fri Nov 14 21:44:03 2014 +0100
> 
>    Don't rerun configure if lisp/version.el changes
>    ...
> 
> -Ivan
> 
> 
> (lldb) bt all
> * thread #1: tid = 0xddcf, 0x00007fff8bce6097 libobjc.A.dylib`objc_msgSend + 23, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
>  * frame #0: 0x00007fff8bce6097 libobjc.A.dylib`objc_msgSend + 23
>    frame #1: 0x00007fff902b53e1 AppKit`-[NSBitmapImageRep dealloc] + 36
>    frame #2: 0x00007fff8cc7f43f CoreFoundation`CFRelease + 591
>    frame #3: 0x00007fff8cc92699 CoreFoundation`-[__NSArrayM dealloc] + 185
>    frame #4: 0x00007fff9014c3b3 AppKit`-[NSImage dealloc] + 61
>    frame #5: 0x00000001001ce3de Emacs`-[EmacsImage dealloc](self=0x000000011c84ad80, _cmd=<unavailable>) + 94 at nsimage.m:204
>    frame #6: 0x00000001001a9ab0 Emacs`x_clear_image [inlined] x_clear_image_1 + 14 at image.c:1278
>    frame #7: 0x00000001001a9aa2 Emacs`x_clear_image(f=<unavailable>, img=0x000000011c865a80) + 18 at image.c:1330
>    frame #8: 0x00000001001a8b91 Emacs`clear_image_cache [inlined] free_image + 161 at image.c:1007
>    frame #9: 0x00000001001a8af0 Emacs`clear_image_cache(f=0x0000000104de8528, filter=<unavailable>) + 768 at image.c:1526
>    frame #10: 0x00000001001a87d2 Emacs`clear_image_caches(filter=4320145466) + 82 at image.c:1564
>    frame #11: 0x00000001000282d9 Emacs`redisplay_internal + 7241 at xdisp.c:14112
>    frame #12: 0x00000001000c5b1e Emacs`read_char(commandflag=1, map=5238060374, prev_event=4320145466, used_mouse_menu=0x00007fff5fbff0bf, end_time=0x0000000000000000) + 2030 at keyboard.c:2596
>    frame #13: 0x00000001000c30f8 Emacs`read_key_sequence(bufsize=<unavailable>, keybuf=<unavailable>, prompt=<unavailable>, dont_downcase_last=<unavailable>, can_return_switch_frame=<unavailable>, fix_current_buffer=<unavailable>, prevent_redisplay=<unavailable>) + 1960 at keyboard.c:9218
>    frame #14: 0x00000001000c2705 Emacs`command_loop_1 + 5301 at keyboard.c:1465
>    frame #15: 0x000000010014152b Emacs`internal_condition_case(bfun=0x00000001000c1250, handlers=<unavailable>, hfun=<unavailable>) + 251 at eval.c:1344
>    frame #16: 0x00000001000d334e Emacs`command_loop_2(ignore=<unavailable>) + 62 at keyboard.c:1200
>    frame #17: 0x0000000100140eb3 Emacs`internal_catch(tag=<unavailable>, func=0x00000001000d3310, arg=4320145466) + 243 at eval.c:1105
>    frame #18: 0x00000001000c085e Emacs`command_loop + 174 at keyboard.c:1179
>    frame #19: 0x00000001000c0753 Emacs`recursive_edit_1 + 131 at keyboard.c:789
>    frame #20: 0x00000001000c09cc Emacs`Frecursive_edit + 236 at keyboard.c:860
>    frame #21: 0x00000001000bf608 Emacs`main(argc=0, argv=<unavailable>) + 5944 at emacs.c:1623
>    frame #22: 0x00007fff8cc4a5fd libdyld.dylib`start + 1
>    frame #23: 0x00007fff8cc4a5fd libdyld.dylib`start + 1
> 
>  thread #3: tid = 0xde26, 0x00007fff89d8f662 libsystem_kernel.dylib`kevent64 + 10, queue = 'com.apple.libdispatch-manager'
>    frame #0: 0x00007fff89d8f662 libsystem_kernel.dylib`kevent64 + 10
>    frame #1: 0x00007fff8ac90421 libdispatch.dylib`_dispatch_mgr_invoke + 239
>    frame #2: 0x00007fff8ac90136 libdispatch.dylib`_dispatch_mgr_thread + 52
> 
>  thread #6: tid = 0xde3d, 0x00007fff89d8e9aa libsystem_kernel.dylib`__select + 10
>    frame #0: 0x00007fff89d8e9aa libsystem_kernel.dylib`__select + 10
>    frame #1: 0x00000001001b4e58 Emacs`-[EmacsApp fd_handler:](self=<unavailable>, _cmd=<unavailable>, unused=<unavailable>) + 264 at nsterm.m:4921
>    frame #2: 0x00007fff8e685dfb Foundation`__NSThread__main__ + 1318
>    frame #3: 0x00007fff8bee4899 libsystem_pthread.dylib`_pthread_body + 138
>    frame #4: 0x00007fff8bee472a libsystem_pthread.dylib`_pthread_start + 137
>    frame #5: 0x00007fff8bee8fc9 libsystem_pthread.dylib`thread_start + 13
> 
>  thread #9: tid = 0xdeac, 0x00007fff89d8aa1a libsystem_kernel.dylib`mach_msg_trap + 10
>    frame #0: 0x00007fff89d8aa1a libsystem_kernel.dylib`mach_msg_trap + 10
>    frame #1: 0x00007fff89d89d18 libsystem_kernel.dylib`mach_msg + 64
>    frame #2: 0x00007fff8ccd6f15 CoreFoundation`__CFRunLoopServiceMachPort + 181
>    frame #3: 0x00007fff8ccd6539 CoreFoundation`__CFRunLoopRun + 1161
>    frame #4: 0x00007fff8ccd5e75 CoreFoundation`CFRunLoopRunSpecific + 309
>    frame #5: 0x00007fff9020205e AppKit`_NSEventThread + 144
>    frame #6: 0x00007fff8bee4899 libsystem_pthread.dylib`_pthread_body + 138
>    frame #7: 0x00007fff8bee472a libsystem_pthread.dylib`_pthread_start + 137
>    frame #8: 0x00007fff8bee8fc9 libsystem_pthread.dylib`thread_start + 13
> 
>  thread #8395: tid = 0x24962b, 0x00007fff89d8e716 libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'CVDisplayLink'
>    frame #0: 0x00007fff89d8e716 libsystem_kernel.dylib`__psynch_cvwait + 10
>    frame #1: 0x00007fff8bee6c3b libsystem_pthread.dylib`_pthread_cond_wait + 727
>    frame #2: 0x00007fff8eb90a38 CoreVideo`CVDisplayLink::runIOThread() + 656
>    frame #3: 0x00007fff8eb9078f CoreVideo`startIOThread(void*) + 147
>    frame #4: 0x00007fff8bee4899 libsystem_pthread.dylib`_pthread_body + 138
>    frame #5: 0x00007fff8bee472a libsystem_pthread.dylib`_pthread_start + 137
>    frame #6: 0x00007fff8bee8fc9 libsystem_pthread.dylib`thread_start + 13
> 
>  thread #8737: tid = 0x25d777, 0x00007fff89d8ee6a libsystem_kernel.dylib`__workq_kernreturn + 10
>    frame #0: 0x00007fff89d8ee6a libsystem_kernel.dylib`__workq_kernreturn + 10
>    frame #1: 0x00007fff8bee5f08 libsystem_pthread.dylib`_pthread_wqthread + 330
>    frame #2: 0x00007fff8bee8fb9 libsystem_pthread.dylib`start_wqthread + 13
> 
>  thread #8746: tid = 0x25d88c, 0x00007fff89d8ee6a libsystem_kernel.dylib`__workq_kernreturn + 10
>    frame #0: 0x00007fff89d8ee6a libsystem_kernel.dylib`__workq_kernreturn + 10
>    frame #1: 0x00007fff8bee5f08 libsystem_pthread.dylib`_pthread_wqthread + 330
>    frame #2: 0x00007fff8bee8fb9 libsystem_pthread.dylib`start_wqthread + 13
> 
> 
> In GNU Emacs 25.0.50.9 (x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version 10.9.5 (Build 13F34))
> of 2014-11-14 on iandrus-osx
> Repository revision: c16eaa856ea99384d490979715a7c0a2a34ff984
> Windowing system distributor `Apple', version 10.3.1265
> Configured using:
> `configure --with-ns'
> 
> Configured features:
> IMAGEMAGICK ACL LIBXML2 ZLIB
> 
> Important settings:
>  value of $LANG: en_US.UTF-8
>  locale-coding-system: utf-8-unix
> 
>